@rem
@rem Genera il keystore e il truststore per gestire l'autenticazione lato client; il file server.cer contiene il 
@rem certificato radice del server.
@rem 
@rem Tutti i certificati usati nell'esempio sono autofirmati.
@rem

@rem genera il keystore con la chiave privata e il certificato del client
keytool -genkey -keystore clientKeyStore.jks -storepass keyPassword -storetype jks -alias client -keypass myKeyPassword -keyalg RSA -keysize 1024 -sigalg MD5withRSA -dname "CN=simone perina, L=verona, S=italia, C=it" -validity 360

@rem esporta il certificato del client nel file client.cer, questo certificato deve essere importato nel truststore del server
keytool -export -keystore clientKeyStore.jks -storepass keyPassword -alias client -file client.cer -rfc

@rem elenca le chiavi contenute nel keystore del client
keytool -v -list -keystore clientKeyStore.jks -storepass keyPassword

@rem importa il certificato del server nel truststore del client
keytool -import -file server.cer -alias server -keystore clientTrustStore.jks -storepass trustPassword -storetype jks -noprompt

@rem elenca i certificati contenute nel truststore del client
keytool -v -list -keystore clientTrustStore.jks -storepass trustPassword
