/**
 * Il bean <tt>DataInput</tt> rappresenta i parametri di input della servlet DataServlet.
 *
 * @author  Simone Perina
 */
 
package examples.applet2servlet; 

import java.io.*;

public class DataInput implements Serializable 
{
   private int base;
   private int rows;
   private int columns;
   
	/**
	 * Ritorna il contatore di base usato per riempire le caselle della tabella.
	 *
	 * @return il contatore di base usato per riempire le caselle della tabella
	 */   
   public int getBase() 
   {
      return base;
   }
   
	/**
	 * Imposta il contatore di base usato per riempire le caselle della tabella.
	 *
	 * @param base e' il contatore di base usato per riempire le caselle della tabella
	 */   
   public void setBase(int base) 
   {
      this.base = base;
   }   
   
	/**
	 * Ritorna il numero di righe della tabella.
	 *
	 * @return il numero di righe della tabella
	 */   
   public int getRows() 
   {
      return rows;
   }
   
	/**
	 * Imposta il numero di righe della tabella.
	 *
	 * @param rows e' il numero di righe della tabella
	 */   
   public void setRows(int rows) 
   {
      this.rows = rows;
   }      
   
	/**
	 * Ritorna il numero di colonne della tabella.
	 *
	 * @return il numero di colonne della tabella
	 */   
   public int getColumns() 
   {
      return columns;
   }
   
	/**
	 * Imposta il numero di colonne della tabella.
	 *
	 * @param columns e' il numero di colonne della tabella
	 */   
   public void setColumns(int columns) 
   {
      this.columns = columns;
   }                
}
   